[23953] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23563 - trunk/debathena/config/linerva/debian

daemon@ATHENA.MIT.EDU (Evan Broder)
Sat Mar 7 14:30:33 2009

Date: Sat, 7 Mar 2009 14:30:24 -0500
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200903071930.n27JUO4h005429@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-03-07 14:30:24 -0500 (Sat, 07 Mar 2009)
New Revision: 23563

Added:
   trunk/debathena/config/linerva/debian/debathena-linerva.init
Modified:
   trunk/debathena/config/linerva/debian/changelog
Log:
In debathena-linerva:
  * Create /tmp/uscreens for non-distribution-provided screen packages


Modified: trunk/debathena/config/linerva/debian/changelog
===================================================================
--- trunk/debathena/config/linerva/debian/changelog	2009-03-07 19:29:32 UTC (rev 23562)
+++ trunk/debathena/config/linerva/debian/changelog	2009-03-07 19:30:24 UTC (rev 23563)
@@ -4,8 +4,9 @@
     * Get tickets and tokens
     * Use an explicit AFS path (in case the automounter isn't working)
     * Not fail if a previous checkout failed
+  * Create /tmp/uscreens for non-distribution-provided screen packages
 
- -- Evan Broder <broder@mit.edu>  Sat, 07 Mar 2009 14:29:20 -0500
+ -- Evan Broder <broder@mit.edu>  Sat, 07 Mar 2009 14:30:02 -0500
 
 debathena-linerva (1.19) unstable; urgency=low
 

Added: trunk/debathena/config/linerva/debian/debathena-linerva.init
===================================================================
--- trunk/debathena/config/linerva/debian/debathena-linerva.init	2009-03-07 19:29:32 UTC (rev 23562)
+++ trunk/debathena/config/linerva/debian/debathena-linerva.init	2009-03-07 19:30:24 UTC (rev 23563)
@@ -0,0 +1,72 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          debathena-linerva
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      S 0 1 6
+# Short-Description: Linerva initialization
+# Description:       This script performs initialization needed for a
+#                    linerva-style dialup.
+### END INIT INFO
+
+# Author: Linerva Maintainers <linerva-root@mit.edu>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
+DESC="Linerva initialization"
+NAME=debathena-linerva
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+    mkdir /tmp/uscreens
+    chown root:utmp /tmp/uscreens
+    chmod a=rwx,o+t /tmp/uscreens
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  restart|force-reload)
+	do_start
+	case "$?" in
+	    0) log_end_msg 0 ;;
+	    1) log_end_msg 1 ;; # Old process is still running
+	    *) log_end_msg 1 ;; # Failed to start
+	esac
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:


Property changes on: trunk/debathena/config/linerva/debian/debathena-linerva.init
___________________________________________________________________
Name: svn:executable
   + *


home help back first fref pref prev next nref lref last post